FruxonDocs
ApiSecrets

Returns metadata for a single secret.

Plaintext value is never returned by this endpoint. Used by the dashboard to render the secret detail drawer.

GET
/v1/tenants/{tenant}/secrets/{secret}
AuthorizationBearer <token>

JWT Authorization header using the Bearer scheme. Enter 'Bearer' [space] and then your token.

In: header

Path Parameters

secret*string

The secret identifier (Guid).

Formatuuid
tenant*string

The tenant identifier

Response Body

curl -X GET "https://api.fruxon.com/v1/tenants/string/secrets/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{
  "id": "00000000-0000-0000-0000-000000000000",
  "key": "string",
  "description": "string",
  "sensitivity": "STANDARD",
  "publishedRevisionId": "00000000-0000-0000-0000-000000000000",
  "publishedVersion": 0,
  "createdBy": "string",
  "createdAt": 0,
  "modifiedAt": 0
}
Empty
Empty
{
  "type": "string",
  "title": "string",
  "status": 0,
  "detail": "string",
  "instance": "string",
  "property1": null,
  "property2": null
}